nxt.http.callers

## Class GetFundingMonitorCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetFundingMonitorCall>
  - - nxt.http.callers.GetFundingMonitorCall

-     public class GetFundingMonitorCall
      extends APICall.Builder<GetFundingMonitorCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetFundingMonitorCall` | `account(long account)`
    `GetFundingMonitorCall` | `account(java.lang.String account)`
    `GetFundingMonitorCall` | `adminPassword(java.lang.String adminPassword)`
    `static GetFundingMonitorCall` | `create(int chain)`
    `GetFundingMonitorCall` | `holding(long holding)`
    `GetFundingMonitorCall` | `holding(java.lang.String holding)`
    `GetFundingMonitorCall` | `holdingType(byte holdingType)`
    `GetFundingMonitorCall` | `includeHoldingInfo(boolean includeHoldingInfo)`
    `GetFundingMonitorCall` | `includeMonitoredAccounts(boolean includeMonitoredAccounts)`
    `GetFundingMonitorCall` | `property(java.lang.String property)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetFundingMonitorCall create(int chain)

    - #### includeMonitoredAccounts

          public GetFundingMonitorCall includeMonitoredAccounts(boolean includeMonitoredAccounts)

    - #### holding

          public GetFundingMonitorCall holding(java.lang.String holding)

    - #### holding

          public GetFundingMonitorCall holding(long holding)

    - #### includeHoldingInfo

          public GetFundingMonitorCall includeHoldingInfo(boolean includeHoldingInfo)

    - #### holdingType

          public GetFundingMonitorCall holdingType(byte holdingType)

    - #### property

          public GetFundingMonitorCall property(java.lang.String property)

    - #### account

          public GetFundingMonitorCall account(java.lang.String account)

    - #### account

          public GetFundingMonitorCall account(long account)

    - #### adminPassword

          public GetFundingMonitorCall adminPassword(java.lang.String adminPassword)